ReferenceType (Groovy 4.0.15)

Package: org.codehaus.groovy.util

## [Java] Enum ReferenceType

- org.codehaus.groovy.util.ReferenceType

-     public enum ReferenceType
      extends Enum

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `HARD` |
    `PHANTOM` |
    `SOFT` |
    `WEAK` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected abstract Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public ReferenceType HARD

    - #### public ReferenceType PHANTOM

    - #### public ReferenceType SOFT

    - #### public ReferenceType WEAK

  - ### Method Detail

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> protected abstract Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)